Index: extensions/charlies_content/Changelog.txt.php
===================================================================
--- extensions/charlies_content/Changelog.txt.php	(revision 31304)
+++ extensions/charlies_content/Changelog.txt.php	(revision 31305)
@@ -3,4 +3,8 @@
 Plugin Name: Charlies content
 ** History **
+
+20150829 updated this file. Charlies go to html5 whereever it's possible. It should work for mp4 and mp3 in most if not all (html5 compatible) browsers. Options screen in piwigo disabled (never worked). The aspect is not very nice but it works, with very simple code. mp3 have no options. mp4 have size option. Change it by editing directly the charlie_html5.tpl. One can add image to the mp3 menu if he want in the usual way (like photos), but most of the time is should not be necessary.
+
+I much simplyfied flv player, it seems to work in most browsers.
 
 20140721 fixed quicktime player (at least mov and mp4), with fixed height and width (640x360+controls. wmv works but with half the size (I don't know why)
@@ -24,5 +28,5 @@
 As jdd, I try to maintain charlie's Contents plugin. But I'm not a real programmer, so I may do important mistakes. If you find one, do not hesitate to write to me at jdd@dodin.org, thanks.
 
-The fisrt unimportant change is to create this beta version, please use the othe VDigital version for normal use.
+The fisrt unimportant change is to create this beta version, please use the other VDigital version for normal use.
 
 
Index: extensions/charlies_content/charlie_flvstreamer.tpl
===================================================================
--- extensions/charlies_content/charlie_flvstreamer.tpl	(revision 31304)
+++ extensions/charlies_content/charlie_flvstreamer.tpl	(revision 31305)
@@ -1,98 +1,21 @@
 <!-- /charlie_flvstreamer.tpl -->
+
+<br />
 {*
- If you don't plan to play flv files on your web site,
- change player by the one you want
- Based on documention from http://flv-player.net/players/maxi/documentation/
+640 360, 320 180, 480 270...
 *}
-<br />
-{if $Charlies.forced_width!=''}{assign var="resolution_x" value="`$Charlies.forced_width`"}
-{else}{assign var="resolution_x" value="`$fileinfo.video.resolution_x`"}{/if}
-{if $Charlies.forced_height!=''}{assign var="resolution_y" value="`$Charlies.forced_height`"}
-{else}{assign var="resolution_y" value="`$fileinfo.video.resolution_y`"}{/if}
-{assign var="main_width" value="`$resolution_x+$by_style+$by_style`"}
 
-<div id="charlie" style="height: {$resolution_y}px; width:{$main_width}px; padding-top: 0px; margin-top: 0px;">
-	<div class="{$curtain}_1" style="padding-left:{$by_style}px;">
-		<div class="{$curtain}_2" style="padding-right:{$by_style}px;">
-			<object type="application/x-shockwave-flash" data="{$pwg_root}plugins/charlies_content/player_flv_maxi.swf" 
-				width="{$resolution_x}" height="{$resolution_y}">
-					<param name="movie" value="{$pwg_root}plugins/charlies_content/player_flv_maxi.swf" />
-					{if ($Charlies.full==1)}<param name="allowFullScreen" value="true" />{/if}
-					<param name="FlashVars" value="flv={$SRC_IMG_ENCODED}{* -
-				General options
-					*}{if ($Charlies.loop==1)}&amp;loop=1{/if}{* -
-					*}{if ($Charlies.autoload==1)}&amp;autoload=1{/if}{* -
-					*}{if ($Charlies.autoplay==1)}&amp;autoplay=1{/if}{* -
-					*}{if ($Charlies.full==1)}&amp;showfullscreen=1{/if}{* -
-					*}{if $Charlies.forced_width!=''}&amp;width={$Charlies.forced_width}{/if}{* -
-					*}{if $Charlies.forced_height!=''}&amp;height={$Charlies.forced_height}{/if}{* -
-					*}{if ($Charlies.volume!='')}&amp;volume={$Charlies.volume}{/if}{* -
-					*}{if ($Charlies.onclick!='')}&amp;onclick={$Charlies.onclick}{/if}{* -
-					*}{if ($Charlies.onclicktarget==1)}&amp;onclicktarget=_blank{/if}{* -
-					*}{if ($Charlies.ondoubleclick!='')}&amp;ondoubleclick={$Charlies.ondoubleclick}{/if}{* -
-					*}{if ($Charlies.ondoubleclicktarget==1)}&amp;ondoubleclicktarget=_blank{/if}{* -
-				Buffering
-					*}{if $Charlies.buffer!=''}&amp;buffer={$Charlies.buffer}{/if}{* -
-					*}&amp;buffermessage={$Charlies.buffermessage}&amp;buffercolor={$Charlies.color5|substr:1}{* -
-					*}{if ($Charlies.buffershowbg==1)}&amp;buffershowbg=1&amp;bufferbgcolor={$Charlies.color6|substr:1}{/if}{* -
-				Config by element
-					*}{if ($Charlies.config==1)}&amp;config={$SRC_IMG_ENCODED|substr:0:-3}txt{/if}{* -
-					*}{if ($Charlies.configxml==1)}&amp;configxml={$SRC_IMG_ENCODED|substr:0:-3}xml{/if}{* -
-				Skin
-					*}{if $Charlies.margin!=''}&amp;margin={$Charlies.margin}{/if}{* -
-					*}{if $Charlies.skin!=''}&amp;skin={$Charlies.skin}{/if}{* -
-				Titleling
-					*}{if $Charlies.title!=''}&amp;title={$Charlies.title}&amp;titlecolor={$Charlies.color7|substr:1}{/if}{* -
-					*}{if $Charlies.titlesize!=''}&amp;titlesize={$Charlies.titlesize}{/if}{* -
-					*}{if $Charlies.start_image!=''}&amp;startimage={$Charlies.start_image}{/if}{* -
-					*}{if ($Charlies.showtitleandstartimage==1)}&amp;showtitleandstartimage=1{/if}{* -
-					*}{if ($Charlies.showiconplay==1)}&amp;showiconplay=1{/if}{* -
-					*}{if ($Charlies.iconplaybgalpha!='')}&amp;iconplaybgalpha={$Charlies.iconplaybgalpha}{/if}{* -
-					*}{if ($Charlies.top1!='')}&amp;top1={$Charlies.top1}{/if}{* -
-				Subtitleling
-					*}{if ($Charlies.srt==1)}&amp;srt=1&amp;srtcolor={$Charlies.color8|substr:1}{* -
-					*}&amp;srtcolor={$Charlies.color9|substr:1}{/if}{* -
-					*}{if ($Charlies.srtsize!='')}&amp;srtsize={$Charlies.srtsize}{/if}{* -
-					*}{if ($Charlies.srturl!='')}&amp;srturl={$Charlies.srturl}{/if}{* -
-				Player and Buttons
-					*}{if ($Charlies.showplayer==1)}&amp;showplayer=autohide{/if}{* -
-					*}{if ($Charlies.showplayer==2)}&amp;showplayer=always{/if}{* -
-					*}{if ($Charlies.showplayer==0)}&amp;showplayer=never{/if}{* -
-					*}{if ($Charlies.showloading==1)}&amp;showloading=autohide{/if}{* -
-					*}{if ($Charlies.showloading==2)}&amp;showloading=always{/if}{* -
-					*}{if ($Charlies.showloading==0)}&amp;showloading=never{/if}{* -
-					*}{if ($Charlies.showmouse==1)}&amp;showmouse=autohide{/if}{* -
-					*}{if ($Charlies.showmouse==2)}&amp;showmouse=always{/if}{* -
-					*}{if ($Charlies.showmouse==0)}&amp;showmouse=never{/if}{* -
-					*}{if ($Charlies.showtime>0)}&amp;showtime={$Charlies.showtime}{/if}{* -
-					*}{if ($Charlies.playeralpha!='')}&amp;playeralpha={$Charlies.playeralpha}{/if}{* -
-					*}{if isset($Charlies.playertimeout)}&amp;playertimeout={$Charlies.playertimeout}{/if}{* -
-					*}{if ($Charlies.showstop==1)}&amp;showstop=1{/if}{* -
-					*}{if ($Charlies.showvolume==1)}&amp;showvolume=1{/if}{* -
-					*}{if ($Charlies.showswitchsubtitles==1)}&amp;showswitchsubtitles=1{/if}{* -
-					*}{if $Charlies.loadonstop==1}&amp;loadonstop=1{/if}{* -
-					*}{if ($Charlies.shortcut!='')}&amp;shortcut={$Charlies.shortcut}{/if}{* -
-				Miscellaneous
-					*}{if ($Charlies.phpstream==1)}&amp;phpstream=1{/if}{* -
-					*}{if ($Charlies.netconnection!='')}&amp;netconnection={$Charlies.netconnection}{/if}{* -
-				Colors
-					*}&amp;bgcolor={$Charlies.color0|substr:1}{* -
-					*}&amp;bgcolor1={$Charlies.color1|substr:1}{* -
-					*}&amp;bgcolor2={$Charlies.color2|substr:1}{* -
-					*}&amp;buttoncolor={$Charlies.color3|substr:1}{* -
-					*}&amp;buttonovercolor={$Charlies.color4|substr:1}{* -
-					*}&amp;playercolor={$Charlies.color10|substr:1}{* -
-					*}&amp;loadingcolor={$Charlies.color11|substr:1}{* -
-					*}&amp;slidercolor1={$Charlies.color12|substr:1}{* -
-					*}&amp;slidercolor2={$Charlies.color13|substr:1}{* -
-					*}&amp;sliderovercolor={$Charlies.color14|substr:1}{* -
-					*}&amp;videobgcolor={$Charlies.color0|substr:1}{* -
-					*}&amp;iconplaycolor={$Charlies.color15|substr:1}{* -
-					*}&amp;iconplaybgcolor={$Charlies.color16|substr:1}" />
-			</object>
-		</div>
-	</div>
-</div>
+{assign var="jdd_width" value="480"}
+{assign var="jdd_height" value="270"}
+
+<object type="application/x-shockwave-flash" data="http://flv-player.net/medias/player_flv_maxi.swf" 
+width="{$jdd_width}" height="{$jdd_height}">
+    <param name="movie" value="{$pwg_root}plugins/charlies_content/player_flv_maxi.swf" />
+    <param name="allowFullScreen" value="true" />
+    <param name="FlashVars" value="flv={$SRC_IMG}&amp;&amp;autoload=1&amp;autoplay=1&amp;showstop=1&amp;showvolume=1&amp;showtime=2" />
+</object>
 {html_head}
+
 <link rel="stylesheet" type="text/css" href="{$CHARLIES_PATH|@cat:'charlies.css'}"> 
+
 {/html_head}
Index: extensions/charlies_content/charlie_mp3player.tpl
===================================================================
--- extensions/charlies_content/charlie_mp3player.tpl	(revision 31304)
+++ extensions/charlies_content/charlie_mp3player.tpl	(revision 31305)
@@ -1,20 +1,13 @@
 <!-- /charlie_mp3player.tpl -->
 {*
-http://www.alsacreations.fr/dewplayer.html
+mp3 players, using html5
 *}
 <br />
-{assign var="main_width" value="`$by_style+$by_style+200`"}
-<div id="charlie" style="height: 64px; width:{$main_width}px; padding-top: 0px; margin-top: 0px;">
-	<div class="{$curtain}_1" style="padding-left:{$by_style}px;">
-		<div class="{$curtain}_2" style="padding-right:{$by_style}px;height: 64px;min-height: 64px;">
-			<object type="application/x-shockwave-flash" width="200" height="20" style="margin-top: 22px;"
-			    data="{$pwg_root}plugins/charlies_content/dewplayer.swf?son={$SRC_IMG}{* -
-					*}{if ($Charlies.autoplay==1)}&amp;autostart=1{/if}&amp;bgcolor={$Charlies.color0|substr:1}&amp;volume={$Charlies.volume}">
-			    <param name="movie" value="{$pwg_root}plugins/charlies_content/dewplayer.swf?son={$SRC_IMG_ENCODED}{* -
-					*}{if ($Charlies.autoplay==1)}&amp;autostart=1{/if}&amp;bgcolor={$Charlies.color0|substr:1}&amp;volume={$Charlies.volume}">
-			</object> 
-		</div>
-	</div>
-</div>
+
+ <audio controls autoplay>
+  <source src="{$SRC_IMG}" type="audio/mpeg">
+Your browser does not support the audio element.
+</audio> 
+
 {html_head}
 <link rel="stylesheet" type="text/css" href="{$CHARLIES_PATH|@cat:'charlies.css'}"> 
Index: extensions/charlies_content/charlie_quicktime.tpl
===================================================================
--- extensions/charlies_content/charlie_quicktime.tpl	(revision 31304)
+++ extensions/charlies_content/charlie_quicktime.tpl	(revision 31305)
@@ -38,15 +38,16 @@
 </object> 
 -->
-
-<object classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" codebase="http://www.apple.com/qtactivex/qtplugin.cab"     width="640" height="398">
+<p>{$SRC_IMG}</p>
+<object classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" codebase="http://www.apple.com/qtactivex/qtplugin.cab"     width="640" height="360">
  <param name="src" value="{$SRC_IMG}">
  <param name="autoplay" value="true">
  <param name="pluginspage" value="http://www.apple.com/quicktime/download/">
  <param name="type" value="video/quicktime">
- <param name="Scale" value="ToFit" >
-    <embed 
+ <param name="Scale" value="ToFit" > 
+
+    <embed  PluginsPage="http://www.apple.com/quicktime/download/"
      src="{$SRC_IMG}" 
      width="640" 
-     height="398" 
+     height="360" 
      autoplay="true"
      Scale="ToFit" 
Index: extensions/charlies_content/language/de_DE/plugin.lang.php
===================================================================
--- extensions/charlies_content/language/de_DE/plugin.lang.php	(revision 31304)
+++ extensions/charlies_content/language/de_DE/plugin.lang.php	(revision 31305)
@@ -21,5 +21,5 @@
 $lang['Margin is out of range (Correct range: 0-40)'] = 'Die Randbreite ist ausserhalb des erlaubten Wertebereichs (0-40)';
 $lang['Unknown file (skin)'] = 'Unbekannte Datei (Skin)';
-$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Die Autohide-Verzögerung ist außerhalb des erlaubten Wertebereichs (0-9999)';
+$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Die Autohide-verzögerung ist ausserhalb des erlaubten Wertebereichs (0-9999)';
 $lang['Player transparency is out of range (Correct range: 0-100)'] = 'Die Durchsichtigkeite des Players ist ausserhalb des erlaubten Wertebereichs (0-100)';
 $lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Die Schriftgröße der Untertitel ist ausserhalb des erlaubten Wertebereichs (8-24)';
@@ -37,8 +37,8 @@
 //tab1 : templates
 $lang['Charlies player template-mimetype association'] = 'Charlies Player Template-mimetyp-assoziierung';
-$lang['Bind your prefered extensions to a template file (player) from:'] = 'Verknüpfen Sie Ihre bevorzugte Erweiterung mit einer Vorlagendatei (Player) von:';
+$lang['Bind your prefered extensions to a template file (player) from:'] = 'Verknüpfen Sie Ihre bevorzugte Erweiterung mit einer Templatedatei (Player) aus:';
 $lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Hinweis: Diese Optionen sind mit dem Maxi FLV Player verfügbar. Weitere Details finden Sie unter:';
 //tab2 : options
-$lang['Charlies players configuration'] = 'Charlies Player-Einstellung';
+$lang['Charlies players configuration'] = 'Charlies Player Konfiguration';
 $lang['General options'] = 'Allgemeine Optionen';
 $lang['Buffering'] = 'Zwischenspeicherung';
@@ -50,7 +50,7 @@
 $lang['Miscellaneous'] = 'Weiteres';
 //tab2 : options -> subtab1 : General options
-$lang['Autoload'] = 'Automatisch laden';
-$lang['Display first picture'] = 'Erstes Bild anzeigen';
-$lang['Autoplay'] = 'Automatisch abspielen';
+$lang['Autoload'] = 'Autoload';
+$lang['Display first picture'] = 'Zeige erstes Bild';
+$lang['Autoplay'] = 'Autoplay';
 $lang['Loop'] = 'Wiederholung';
 $lang['Fullscreen'] = 'Vollbild';
@@ -99,5 +99,5 @@
 //tab2 : options -> subtab7 : Player and Buttons
 $lang['Show player'] = 'Zeige Player';
-$lang['Autohide'] = 'Automatisch ausblenden';
+$lang['Autohide'] = 'Autohide';
 $lang['Always'] = 'Immer';
 $lang['Never'] = 'Nie';
@@ -129,5 +129,5 @@
 $lang['Top border fading'] = 'Aublendung oberere Rand';
 $lang['Player'] = 'Player';
-$lang['Bottom border fading'] = 'Unterer Rand ausblenden';
+$lang['Bottom border fading'] = 'Ausblendung unterer Rand';
 $lang['Loading bar'] = 'Ladebalken';
 $lang['Player buttons'] = 'Player-schaltflächen';
@@ -135,7 +135,7 @@
 $lang['Hover player buttons'] = 'Schwebende Player-schalftflächen';
 $lang['Rightbar gradient fading'] = 'Verlauf Ausblendung rechter Balken';
-$lang['Buffer'] = 'Zwischenspeicher';
+$lang['Buffer'] = 'Buffer';
 $lang['Hover bar gradient'] = 'Schwebebalkenverlauf';
-$lang['Buffer background'] = 'Zwischenspeicher-Hintergrund';
+$lang['Buffer background'] = 'Bufferhintergrund';
 $lang['Play icon'] = 'Spielicon';
 $lang['Title'] = 'Titel';
@@ -148,3 +148,3 @@
 $lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = 'Es werden .png-Dateien ohne Transparenz empfohlen. Wenn gewünscht, können Sie Vorhangsets durch eigene ersetzen.';
 
-$lang['Autohide delay ']['0-9999'] = 'Autohide-Verzögerung [0-9999]';
+?>
Index: extensions/charlies_content/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/charlies_content/language/nl_NL/plugin.lang.php	(revision 31304)
+++ extensions/charlies_content/language/nl_NL/plugin.lang.php	(revision 31305)
@@ -37,7 +37,7 @@
 $lang['Play icon'] = 'Afspeel icoon';
 $lang['Player and Buttons'] = 'Speler en knoppen';
-$lang['Player buttons'] = 'Spelersknoppen';
+$lang['Player buttons'] = 'Speler knoppen';
 $lang['Player'] = 'Speler';
-$lang['Players options'] = 'Spelersopties';
+$lang['Players options'] = 'Spelers opties';
 $lang['RTMP server URL'] = 'RTMP server URL';
 $lang['Reset ALL Charlies\' configuration'] = 'Reset ALLE Charlies\' configuratie';
@@ -77,10 +77,10 @@
 $lang['Forced video height'] = 'Verplichte video hoogte';
 $lang['Unknown file (Start image)'] = 'Onbekend bestand (Start afbeelding)';
-$lang['Unknown file (skin)'] = 'Onbekend bestand (opmaak)';
+$lang['Unknown file (skin)'] = 'Onbekend bestand (huid)';
 $lang['Show subtitles switch'] = 'Toon ondertiteling knop';
 $lang['You are Adviser and you are not authorized to change this configuration.'] = 'Je bent Adviseur en je bent niet geautoriseerd om veranderingen toe te brengen aan de configuratie.';
-$lang['Player transparency ']['0-100'] = 'Spelerstransparentie [0-100]';
-$lang['Skin image'] = 'Opmaak-afbeelding';
-$lang['Skin'] = 'Opmaak';
+$lang['Player transparency ']['0-100'] = 'Speler transparentie [0-100]';
+$lang['Skin image'] = 'Huid afbeelding';
+$lang['Skin'] = 'Huid';
 $lang['Time left'] = 'Tijd over';
 $lang['Templates configuration'] = 'Sjabloon configuratie';
@@ -107,5 +107,5 @@
 $lang['Curtain selection'] = 'Overgangen';
 $lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'De transparantie-instelling van het speel-icoon klopt niet. (Juiste mogelijkheden: 0-100)';
-$lang['Player transparency is out of range (Correct range: 0-100)'] = 'De transparantie-instelling klopt niet. (Juiste waarden: 0-100)';
+$lang['Player transparency is out of range (Correct range: 0-100)'] = 'De transparantie-instelling klopt niet. (Juiste mogelijkheden: 0-100)';
 $lang['Players colors'] = 'Spelerskleuren';
 $lang['Players colours selection'] = 'Spelerskleuren-selectie';
@@ -126,20 +126,6 @@
 $lang['Video buffer background'] = 'Videobuffer achtergrond';
 $lang['Unknown file or URL|x|y error (x and y must be numeric)'] = 'Onbekend bestand of URL|x|y fout (x en y moet numeriek zijn)';
-$lang['Top border fading'] = 'Bovenrand vervaging';
+$lang['Top border fading'] = 'Top rand vervagen';
 $lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y: waarbij x,y de offsets zijn om de foto te plaatsen)';
 $lang['(URL of a non progressive jpg)'] = '(De URL van een niet-progressieve jpg)';
 $lang['(Adobe Systems for streaming audio, video and data)'] = '(Adobe Systems voor streaming audio, video en data)';
-$lang['Loading bar'] = 'Laadbalk';
-$lang['Load an image over video'] = 'Laad een foto over video';
-$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Ongeldige kleurcode: 3 of 6 hexadecimale tekens, voorafgegaan door "#"';
-$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = '. png zonder transparantie wordt aanbevolen. Misschien kunt u een gordijnen-set vervangen door de uwe.';
-$lang['Stop stops loading'] = 'Stop stopt het laden';
-$lang['Leftbar gradient fading'] = 'Linker balk vervaging';
-$lang['Rightbar gradient fading'] = 'Rechter balk vervaging';
-$lang['Hover player buttons'] = 'Hover spelersknoppen';
-$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Verkeerde bestandsnaam. RTMP (Real Time Messaging Protocol) is een op TCP gebaseerd protocol, ontwikkeld door Adobe System voor het doel van streaming audio-/video-gegevens tussen Flash Player en media server.';
-$lang['Margin for skin'] = 'Marge voor opmaak';
-$lang['Margin is out of range (Correct range: 0-40)'] = 'Marge is buiten bereik (Correcte waarden: 0-40)';
-$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Kleurgebruik kan alleen ter informatie zijn (Spelers kunnen deze gewoon negeren of anders gebruiken)';
-$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'Ter info: al deze opties kunnen worden gebruikt of juist NIET door de interne speler (sjabloon).';
-$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Opm.: Deze opties zijn beschikbaar mbv de Maxi FLV Player. Meer details over deze opties, zie';
Index: extensions/charlies_content/main.inc.php
===================================================================
--- extensions/charlies_content/main.inc.php	(revision 31304)
+++ extensions/charlies_content/main.inc.php	(revision 31305)
@@ -43,5 +43,5 @@
 {
 	$default = array(
-			'autoload'  		 	=> 1,
+			'autoload'  		 	=> 0,
 			'autoplay'  		 	=> 1,
 			'loop'  		 		=> 1,
@@ -49,6 +49,6 @@
 			'forced_width'  		=> '',
 			'forced_height'  		=> '',
-			'video_default_width'  	=>  320,
-			'video_default_height'  =>  240,
+			'video_default_width'  	=>  '',
+			'video_default_height'  =>  '',
 			'volume'  		 		=> 150,
 			'onclick'  		 		=> 'playpause',
@@ -61,5 +61,5 @@
 			'config'  		 		=> 0,
 			'configxml'  		 	=> 0,
-			'margin'  		 		=> 8,
+			'margin'  		 		=> 2,
 			'skin'  		 		=> '', /* './plugins/charlies_content/skin.jpg', */
 			'title'  		 		=> '/n/n/nCharlies\'s content ',
@@ -84,25 +84,9 @@
 			'curtain'  		 		=> 'none',
 			'start_image'  		 	=>  CHARLIES_PATH . 'background.jpg',
-			'color0'  		 		=> '#111111',
-			'color1'  		 		=> '#ff7700',
-			'color2'  		 		=> '#444444',
-			'color3'  		 		=> '#ff3333',
-			'color4'  		 		=> '#ff3363',
-			'color5'  		 		=> '#ff7700',
-			'color6'  		 		=> '#111111',
-			'color7'  		 		=> '#ff3333',
-			'color8'  		 		=> '#ff3363',
-			'color9'  		 		=> '#111111',
-			'color10'  		 		=> '#444444',
-			'color11'  		 		=> '#ff3333',
-			'color12'  		 		=> '#ff3363',
-			'color13'  		 		=> '#ff7700',
-			'color14'  		 		=> '#444444',
-			'color15'  		 		=> '#ff3333',
-			'color16'  		 		=> '#111111',
 		);
 	if (!isset($charlie['version'])) $charlie = $default;
 	else $charlie = array_merge( $default, $charlie );
 	if (!isset($charlie['FlvStreamer'])) 	$charlie['FlvStreamer'] = array('flv',); 
+	if (!isset($charlie['html5'])) 	$charlie['html5'] = array('mp4',); 
 	if (!isset($charlie['Flash'])) 			$charlie['Flash'] = array('swf',); 
 	if (!isset($charlie['Music'])) 			$charlie['Music'] = array('pls','m3u','wav','mid','au','aif',); 
@@ -111,5 +95,5 @@
 	if (!isset($charlie['WMplayer'])) 		$charlie['WMplayer'] = array('asf','wmv','divx','xvid',); 
 	if (!isset($charlie['QuickTime'])) 		$charlie['QuickTime'] = 
-	array('aiff','aac','bmp','gsm','mov','mpg','mpeg','mp4','m4a','psd','qt','qtif','qif','qti','snd','tif','tiff','3g2','3pg','3gp');
+	array('aiff','aac','bmp','gsm','mov','mpg','mpeg','m4a','psd','qt','qtif','qif','qti','snd','tif','tiff','3g2','3pg','3gp');
 	if (!isset($charlie['Archive'])) 		$charlie['Archive'] = array('zip','rar',); 
 	if (!isset($charlie['GPS'])) 			$charlie['GPS'] = array('gpx',); 
@@ -127,5 +111,5 @@
    * like for Flash => ./plugings/charlies_content/flash_content.tpl
    *
-   * Player name is in lower-case followed by _content.tpl (non)
+   * Player name is in lower-case followed by _content.tpl (non c'est charlie_nomplayer)
    */
 
@@ -139,18 +123,5 @@
 # $charlie['all'] = $all;
 add_event_handler('render_element_content', 'render_Charlie_element_content', 40, 2 );
-#add_event_handler('get_admin_plugin_menu_links', 'Charlie_plugin_admin_menu');
 
-function Charlie_plugin_admin_menu($menu)
-{
-	array_push($menu, array(
-				'NAME' => 'Charlies\'', 
-				'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/charlies_config.php'), 
-			));
-	return $menu;
-}  
-
-/**
- * Only if picture.php is active
- */
 function render_Charlie_element_content($content, $picture)
 {