Index: extensions/user_tags/language/ca_ES/description.txt
===================================================================
--- extensions/user_tags/language/ca_ES/description.txt	(revision 31317)
+++ extensions/user_tags/language/ca_ES/description.txt	(revision 31317)
@@ -0,0 +1,1 @@
+Permet als visitants poder afegir etiquetes a les imatges
Index: extensions/user_tags/language/ca_ES/help/readme.html
===================================================================
--- extensions/user_tags/language/ca_ES/help/readme.html	(revision 31317)
+++ extensions/user_tags/language/ca_ES/help/readme.html	(revision 31317)
@@ -0,0 +1,9 @@
+<h2>Documentació</h2>
+
+<h3>Forma d'ús</h3>
+<p>Si l'usuari té el permís "Afegir" i es mostren les etiquetes sobre una imatge, es poden editar etiquetes relacionades clicant a la icona "edita".</p>
+
+<h3>Permisos</h3>
+<p>Els permisos estan units a l'estatus dels usuaris (visitant, genèric, usuari normal, administrador, webmaster). Els usuaris poden fer una acció (afegir, eliminar) només si tenen l'estatus més gran que el seu propi configurat</p>
+<p>Els usuaris poden eliminar etiquetes que hagin afegit abans, inclús si no es vol que es puguin eliminar etiquetes relacionades.</p>
+<p>Podeu permetre que un usuari pugui afegir només etiquetes existents si el quadre de verificació "només etiquetes existents" està actiu..</p>
Index: extensions/user_tags/language/ca_ES/plugin.lang.php
===================================================================
--- extensions/user_tags/language/ca_ES/plugin.lang.php	(revision 31317)
+++ extensions/user_tags/language/ca_ES/plugin.lang.php	(revision 31317)
@@ -0,0 +1,36 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2015 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Add permission updated'] = 'Permís per afegir actualitzat';
+$lang['Be careful, whatever the configuration value is, new tag can be deleted anyway'] = 'Atenció, sigui quin sigui el valor de la configuració, es poden eliminar les etiquetes noves de totes formes.';
+$lang['Click to add tags'] = 'Feu clic per afegir una etiqueta';
+$lang['Delete permission updated'] = 'Permís d\'eliminació actualitzat';
+$lang['Start to type'] = 'Comenceu a teclejar';
+$lang['Tags updated'] = 'Les etiquetes s\'han actualitzat';
+$lang['That plugin allow visitors to add tags to image.'] = 'Aquest connector permet als visitants afegir etiquetes a una imatge';
+$lang['Update tags'] = 'Actualitza les etiquetes';
+$lang['Who can add tags?'] = 'Qui pot afegir etiquetes?';
+$lang['Who can delete related tags?'] = 'Qui pot eliminar etiquetes relacionades?';
+$lang['You are not allowed to add nor delete tags'] = 'No teniu el permís per afegir o eliminar etiquetes';
+$lang['You are not allowed to add tags'] = 'No teniu el permís per afegir etiquetes';
+$lang['You are not allowed to delete tags'] = 'No teniu el permís per eliminar etiquetes';
+$lang['You can choose which users (per status) can add and delete tags.'] = 'Podeu escollir quins usuaris (per l\'estatus) poden afegir o eliminar etiquetes';