Index: /extensions/charlies_content/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/uk_UA/plugin.lang.php	(revision 31324)
+++ /extensions/charlies_content/language/uk_UA/plugin.lang.php	(revision 31325)
@@ -31,3 +31,115 @@
 $lang['Show time'] = 'Показати час';
 $lang['Title'] = 'Назва';
-?>
+$lang['Volume ']['0-200'] = 'Гучність [0-200]';
+$lang['Volume is out of range (Correct range: 0-200)'] = 'Гучність за межами (Дозволено: 0-200)';
+$lang['Wrong filename or file not found (Subtitles file)'] = 'Неправильне ім\'я або файл не знайдено (Субтитри)';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Неправильне ім\'я файлу. RTMP це закритий протокол на основі TCP котрий розробляє компанія Adobe для потокового аудіо/відео між мультимедійним сервером та flash плеєром.';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'Ви, як порадник, не є авторизованим змінювати ці налаштування.';
+$lang['Your configuration is NOT saved due to above reasons.'] = 'Ваші налаштування не було збережено через причини, наведені вище.';
+$lang['Your configuration is saved.'] = 'Ваші налаштування збережено.';
+$lang['_blank'] = '_blank';
+$lang['_self'] = '_self';
+$lang['or fullscreen or playpause or none'] = 'або повний екран або старт-стоп або не вказано';
+$lang['Subtitles font size ']['8-24'] = 'Розмір шрифту субтитрів [8-24]';
+$lang['Templates configuration'] = 'Налаштування шаблону';
+$lang['Time left'] = 'Залишилось';
+$lang['Title and start picture'] = 'Заголовок і початкове зображення';
+$lang['Title font size ']['12-72'] = 'Розмір шрифту заголовку [12-72]';
+$lang['Title font size is out of range (Correct range: 12-72)'] = 'Розмір шрифту заголовку за межами (Дозволено: 12-72)';
+$lang['Titleling'] = 'Заголовок';
+$lang['Top border fading'] = 'Затемення верхньої мжеі';
+$lang['URL of .srt'] = 'Посилання на файл субтитрів (.srt)';
+$lang['Unknown file (Start image)'] = 'Невідомий файл (Початкове зображення)';
+$lang['Unknown file (skin)'] = 'Невідомий файл (шкурка)';
+$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = 'Невідомий файл або помилка URL|x|y (x та y повинні бути числами)';
+$lang['Use existing .txt to config'] = 'Використовувати існуючий .txt файл конфігурації';
+$lang['Use existing .xml to config'] = 'Використовувати існуючий .xml файл конфігурації';
+$lang['Use subtitles'] = 'Використовувати субтитри';
+$lang['Video buffer background'] = 'Фон буферизації відео';
+$lang['Video buffer percent message'] = 'Повідомлення про відсоток буферизації відео';
+$lang['Video buffer size in seconds'] = 'Розмір відео буфера у секундах';
+$lang['Video default height'] = 'Висота відео за замовчуванням';
+$lang['Video default width'] = 'Ширина відео за замовчуванням';
+$lang['Players colours selection'] = 'Вибір кольорів плеєра';
+$lang['Players options'] = 'Налаштування плеєра';
+$lang['RTMP server URL'] = 'Посилання на RTMP потік';
+$lang['Reset ALL Charlies\' configuration'] = 'Скинути ВСІ налаштування Шарльза';
+$lang['Reset ALL Confirmation'] = 'Підтверження скидання ВСІХ налаштувань';
+$lang['Rightbar gradient fading'] = 'Затемнення правої смужки градієнта';
+$lang['Save Charlies\' configuration'] = 'Зберегти налаштування Шарльза';
+$lang['Show player'] = 'Показати плеєр';
+$lang['Show stop button'] = 'Показати кнопку "зупинити"';
+$lang['Show subtitles switch'] = 'Показати перемикач субтитрів';
+$lang['Show volume'] = 'Показати гучність';
+$lang['Skin'] = 'Шкурка';
+$lang['Skin image'] = 'Зображення шкурки';
+$lang['Start image'] = 'Початкове зображення';
+$lang['Stop stops loading'] = 'Припинення завантаження';
+$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Розмір шрифту субтитрів за межами (Дозволено: 8-24)';
+$lang['Subtitleling'] = 'Субтитрування';
+$lang['Subtitles'] = 'Субтитри';
+$lang['Subtitles background'] = 'Фон субтитрів';
+$lang['Subtitles file URL'] = 'Посилання на файл субтитрів';
+$lang['Player transparency ']['0-100'] = 'Прозорість плеєра [0-100]';
+$lang['Player transparency is out of range (Correct range: 0-100)'] = 'Прозорість плеєра за межами (Дозволено: 0-100)';
+$lang['Players colors'] = 'Кольори плеєра';
+$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Невірний код кольору: \'#\' і далі 3 або 6 шістнадцяткових символів';
+$lang['Keyboard shortcuts'] = 'Клавіатурні скорочення';
+$lang['Leftbar gradient fading'] = 'Затухання лівої смужки градієнту';
+$lang['Load an image over video'] = 'Завантажити зображення понад відео';
+$lang['Loading bar'] = 'Смужка завантаження';
+$lang['Loop'] = 'Цикл';
+$lang['Margin for skin'] = 'Відступ для шкурки';
+$lang['Margin is out of range (Correct range: 0-40)'] = 'Відступ за межами (Дозволено: 0-40)';
+$lang['Miscellaneous'] = 'Різне';
+$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Зауваження: Ці опції доступні для плеєра Maxi FLV. Більше подробиць за адресою:';
+$lang['Onclick URL'] = 'Посилання при кліку';
+$lang['PHP streaming'] = 'PHP потік';
+$lang['Play icon'] = 'Іконка програвання';
+$lang['Play icon background'] = 'Фон іконки програвання';
+$lang['Play icon in middle'] = 'Центрована іконка програвання ';
+$lang['Play icon transparency ']['0-100'] = 'Прозорість іконки програвання [0-100]';
+$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'Прозорість іконки за межами (Дозволено: 0-100)';
+$lang['Player'] = 'Плеєр';
+$lang['Player and Buttons'] = 'Плеєр та кнопки';
+$lang['Player buttons'] = 'Кнопки плеєра';
+$lang['Curtain selection'] = 'Вибір завіси';
+$lang['Default 1500 milliseconds.'] = 'Замовчування 1500 мілісекунд.';
+$lang['Default 5 seconds'] = 'Замовчування 5 секунд';
+$lang['Default height is out of range (Correct range: 90-1024)'] = 'Висота за замовчуванням за межами (Дозволено: 90-1024)';
+$lang['Default size might be 11.'] = 'Розмір за замовчуванням може бути 11.';
+$lang['Default size might be 20.'] = 'Розмір за замовчуванням може бути 20.';
+$lang['Default width is out of range (Correct range: 90-1024)'] = 'Ширина за замовчуванням за межами(Дозволено: 90-1024)';
+$lang['Display first picture'] = 'Відобразити перше зображення';
+$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'Інформація для Вас: все опції може бути використано або Ні для внутрішнього плеєра (шаблон)';
+$lang['Filename.srt might be use for captioning'] = 'Ім\'я.srt може бути використане для субтитрів';
+$lang['Filename.txt might be use as config.txt file'] = 'Ім\'я.txt може бути використане у якості config.txt файлу';
+$lang['Filename.xml might be use as config.xml file'] = 'Ім\'я.xml може бути використане у якості config.xml файлу';
+$lang['Flash Player 9.0.16.60 or above is required.'] = 'Необхідна наявність Flash плеєру 9.0.16.60 або вище.';
+$lang['Forced height is out of range (Correct range: 90-1024)'] = 'Примусова висота за межами (Дозволено: 90-1024)';
+$lang['Forced video height'] = 'Примусова висота відео';
+$lang['Forced video width'] = 'Примусова ширина відое';
+$lang['Forced width is out of range (Correct range: 90-1024)'] = 'Примусова ширина за межами (Дозволено: 90-1024)';
+$lang['General options'] = 'Загальні налаштування';
+$lang['Hover bar gradient'] = 'Градієнт смужки при наведенні';
+$lang['Hover player buttons'] = 'Кнопки плеєра при наведенні';
+$lang['(Adobe Systems for streaming audio, video and data)'] = '(Системи Adobe для потокових аудіо- та відео- та даних)';
+$lang['(URL of a non progressive jpg)'] = '(Посилання не прогресивного jpg зображення)';
+$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(Посилання|x|y де x,y є зміщеннями щоб вкласти зображення)';
+$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = '.png без прозорості є рекомендованими. Можливо ви можете замінити набір завіс власними.';
+$lang['Active curtains'] = 'Активні завіси';
+$lang['Autohide'] = 'Автоприховування';
+$lang['Autohide delay ']['0-9999'] = 'Затримка автоприховування [0-9999]';
+$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Затримка автоприховування за межами. (Допустимі значення: 0-9999)';
+$lang['Autoplay'] = 'Автопрогравання';
+$lang['Background'] = 'Фон';
+$lang['Bind your prefered extensions to a template file (player) from:'] = 'Прив\'язка бажаних розширень до файлу шаблону (плеєр):';
+$lang['Bottom border fading'] = 'Затемення нижньої межі';
+$lang['Buffer'] = 'Буфер';
+$lang['Buffer background'] = 'Фон буфера';
+$lang['Buffering'] = 'Буферизація';
+$lang['Buffering _n_'] = 'Буферизація _n_';
+$lang['Charlies player template-mimetype association'] = 'Відповідність шаблон-тип для плеєра Шарльз';
+$lang['Charlies players configuration'] = 'Конфігурація плеєра Шарльз';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Використання кольорів інформативне (Плеєр може інгорувати їх або використовувати на власний розсуд)';
+$lang['Config by element'] = 'Конфігурування за елементом';