Index: extensions/MyPiwiShop/language/zh_CN/intro.html
===================================================================
--- extensions/MyPiwiShop/language/zh_CN/intro.html	(revision 31339)
+++ extensions/MyPiwiShop/language/zh_CN/intro.html	(revision 31339)
@@ -0,0 +1,85 @@
+ <style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+
+<div class="pres">
+<p>希望出售图片的衍生商品？ 
+希望出售以不同尺寸或质量定价的图片？ 
+希望出售印有图片的T-恤、马克杯或其他？
+  
+本插件将在图片页添加一个表单，使您可以出售那些被选中的图片的相关商品。
+Paypal 用于交易，您【必须】拥有一个 paypal 账户。订单完成后，您便可以直接从 paypal 账户上获得图片及商品名称、选项、买家的姓名和地址。</p>
+<br> 
+<h4>怎样使用？</h4>
+  <h5>1 插件的管理标签页</h5>
+  <p style="font-weight:bold">1.1 _设置_</p>
+  <ul> 
+  <li>输入您的 Paypal 代码或 Paypal email 地址。</li>
+  <li>使用的货币。</li>
+  <li>Expedion costs if they are fix, else include them in the product price.</li>
+  <li>如有必要，输入产品的简单描述 (例如: 100% 棉质T恤，中国制造...)。</li>
+  <li>如有必要，输入介绍部分商品的简单描述 (例如: 选择列表中的一个商品)。</li>
+  <li>如有必要，输入某个特定商品的介绍 (例如: 有货)。</li>
+  </ul>
+  
+  <p style="font-weight:bold">1.2 _商品_</p>
+  <ul> 
+  <li>1.2.1 添加商品
+  <p>输入商品名称</p>
+  <p>如有必要，可添加附加信息。此信息在 MyPiwiShop 管理页可见。</p>
+  <p>输入价格</p>
+  <p>选择或创建一个选项 (refer §3.1)<p>
+  <p>然后提交</p>
+  </li>
+  <li>1.2.2 商品列表
+  <p>勾选一个或多个商品将其从列表中删除</p>
+  <p>您可编辑或复制商品</p>
+  </li>
+  <li>1.2.3 管理商品顺序
+  <p>商品默认以创建日期顺序显示。您可通过拖放产品进行修改</p>
+  </li>
+  </ul>
+  
+  <p style="font-weight:bold">1.3 _选项_</p>
+  <ul> 
+  <li>1.3.1 添加一个选项
+  <p>输入选项名称</p>
+  <p>选择选项类型: 选择: 下拉列表框 (例如: 尺寸 s/l/xl/xxl); 单选: 单选按钮 (例如: 框 是/否); 文本: 文本字段 (例如: 边框宽度 cm); 文本区域: 文本区域 (例如: Let's comment); 复选框: 复选按钮 (例如: 我已阅读并接受使用条款)</p>
+  <p>如为必选项，请勾选</p>
+  <p>如有必要，可添加附加信息。此信息在 MyPiwiShop 管理页可见。</p>
+  <p>根据所选选项的类型，您必须创建一些值 (选择，单选 和 复选)</p>
+  <p>然后应用改变</p>
+  </li>
+  <li>1.3.2 商品表单
+  <p>勾选一个或多个商品以删除</p>
+  <p>您可编辑或复制选项</p>
+  </li>
+  <li>1.3.3 管理选项顺序
+  <p> 选项默认以创建日期顺序显示。您可通过拖放进行修改</p>
+  </li>
+
+
+  <h5> 2 Piwigo 管理</h5>
+  <p>现在您必须将一个或多个商品与图片链接。在 "图片/批量管理" 页进行设置。</p>
+  <br>
+  <li>2.1 全局模式</li>
+  <p>选择您希望链接到商品的图片。<p>
+  <p>在运行菜单，选择 MyPiwiShop。<p>
+  <p>选择您的商品 (同时这些图片已链接的商品将被删除)。</p>
+  <p>然后应用设置</p>
+  <br>
+  <li>2.2 单一模式</li>
+  <p>在每张图片使用 "看看这张图像的相关产品" 链接。<p>
+  <p>该张图片的相关商品已列出</p>
+  <p>您可勾选或取消勾选商品，从而链接或取消其与图片的链接。</p>
+  <p>然后使改变生效</p>
+</ul>
Index: extensions/MyPiwiShop/language/zh_CN/plugin.lang.php
===================================================================
--- extensions/MyPiwiShop/language/zh_CN/plugin.lang.php	(revision 31338)
+++ extensions/MyPiwiShop/language/zh_CN/plugin.lang.php	(revision 31339)
@@ -26,6 +26,6 @@
 $lang['you must enter the product and not the price'] = '必填该产品而不是价格';
 $lang['products have been added to these images'] = '产品已被添加到这些图像里';
-$lang['products have been removed for these pictures'] = '已删除这些图片的产品';
-$lang['see related products for this picture'] = '看看这张照片的相关产品';
+$lang['products have been removed for these pictures'] = '已删除这些图像的产品';
+$lang['see related products for this picture'] = '看看这张图像的相关产品';
 $lang['shipping fees'] = '运费';
 $lang['the option'] = '该选项';
@@ -37,8 +37,8 @@
 $lang['Value'] = '值';
 $lang['View cart'] = '查看购物车';
-$lang['What is MyPiwiShop?'] = 'mypiwishop是什么？';
-$lang['Your Paypal id'] = '你的PayPal ID或你的PayPal账户地址';
-$lang['a option'] = '一选项';
-$lang['a product'] = '一产品';
+$lang['What is MyPiwiShop?'] = 'MyPiwiShop是什么？';
+$lang['Your Paypal id'] = '你的 PayPal 账户ID或 PayPal email 地址';
+$lang['a option'] = '一个选项';
+$lang['a product'] = '一个产品';
 $lang['add value'] = '添加值';
 $lang['drag / drop to change the order'] = '拖拽改变顺序';
@@ -63,11 +63,11 @@
 $lang['Shop'] = '商店';
 $lang['Showing 0 to 0 of 0 records'] = '显示0至0的0个记录';
-$lang['Showing _START_ to _END_ of _TOTAL_ records'] = '显示_start_到_end_的_total_记录';
+$lang['Showing _START_ to _END_ of _TOTAL_ records'] = '显示_开始_到_结束_的_全部_记录';
 $lang['The field is required'] = '该字段是必需的';
-$lang['Change the display order of products in the form'] = '改变在表单内产品所显示的顺序';
+$lang['Change the display order of products in the form'] = '改变表单内产品的显示顺序';
 $lang['Configuration'] = '配置';
 $lang['Currency'] = '货币';
 $lang['Delete the selected products for these images'] = '删除为这些图像选定的产品';
-$lang['Display _MENU_ records per page'] = '每页显示的_menu_记录';
+$lang['Display _MENU_ records per page'] = '每页显示的_菜单_记录';
 $lang['Duplicate '] = '复制品';
 $lang['Fields marked with * must be completed'] = '*为必须填写域';
@@ -79,7 +79,7 @@
 $lang['Add the selected products for these images'] = '为这些图像添加选定的产品';
 $lang['Buy'] = '购买';
-$lang['Change the display order of options in the form'] = '改变在表单内选项所显示的顺序';
+$lang['Change the display order of options in the form'] = '改变表单内选项的显示顺序';
 $lang[' product'] = '产品';
-$lang['(filtered from _MAX_ total records)'] = '（从_最大值过滤的总记录）';
+$lang['(filtered from _MAX_ total records)'] = '（从_最大值_过滤的总记录）';
 $lang[' option'] = '选项';
 $lang['Edit '] = '编辑';