Index: extensions/AntiAspi/admin.tpl
===================================================================
--- extensions/AntiAspi/admin.tpl	(revision 31370)
+++ extensions/AntiAspi/admin.tpl	(revision 31371)
@@ -1,59 +1,7 @@
-{include file='include/datepicker.inc.tpl'}
 {combine_script id='jquery.ui.slider' require='jquery.ui' load='footer' path='themes/default/js/ui/minified/jquery.ui.slider.min.js'}
 {combine_css path="themes/default/js/ui/theme/jquery.ui.slider.css"}
 {footer_script}
 
-jQuery.fn.banDatepicker = function(settings) {
-  var options = jQuery.extend(true, {
-    showTimepicker: true,
-    cancelButton: false,
-  }, settings || {});
-
-  return this.each(function() {
-    var $this = jQuery(this),
-        originalValue = $this.val(),
-        originalDate,
-        $target = jQuery('[name="'+ $this.data('datepicker') +'"]'),
-        linked = !!$target.length;
-		
-    // init picker
-    $this.datetimepicker(jQuery.extend({
-      dateFormat: linked ? 'DD d MM yy' : 'yy-mm-dd',
-      timeFormat: 'HH:mm:ss',
-      separator: options.showTimepicker ? ' ' : '',
-
-      altField: linked ? $target : null,
-      altFormat: 'yy-mm-dd',
-      altTimeFormat: options.showTimepicker ? 'HH:mm:ss' : '',
-	  	  
-      autoSize: true,
-      changeMonth : true,
-      changeYear: true,
-      altFieldTimeOnly: true,
-      showSecond: true,
-      alwaysSetTime: false,
-	  }, options));
-
-    // autoSize not handled by timepicker
-    if (options.showTimepicker) {
-      $this.attr('size', parseInt($this.attr('size'))+6);
-    }
-  });
-};
-
-jQuery(function(){ {* <!-- onLoad needed to wait localization loads --> *}
-  jQuery('[data-datepickerban]').banDatepicker();
-  });
-
 jQuery(function($) {
-	$('input.dban').each(function(){
-		d = new Date();
-		var datestring = d.getFullYear() + "-" + ("0"+(d.getMonth()+1)).slice(-2) + "-" + ("0" + d.getDate()).slice(-2) + " " + ("0" + d.getHours()).slice(-2) + ":" + ("0" + d.getMinutes()).slice(-2) + ":" + ("0" + d.getSeconds()).slice(-2);
-		$(this).val(datestring);
-	});
-	$('input.dban2').each(function(){
-		d = $(this).attr('data-value');;
-		$(this).val(d);
-	});
 // slide
     $('.range').each(function(){
@@ -90,25 +38,13 @@
 </div>
 {if isset ($ipbangest)}
-<form method="post" >
+
 	<fieldset>
-		<input class="submit" name="submitipban" type="submit" value="{'Add IP ban'|@translate}" />
+	  <legend>{'Action IP banned'|@translate}</legend>
+		<form method="post" >
+			<div style="text-align:center;">
+				<input class="submit" name="submitdeleteall" type="submit" "onclick="return confirm('{'Are you sure?'|@translate}');" value="{'Delete all IP Ban'|@translate}"/>
+			</div>
+		</form>  
 	</fieldset>
-</form>
-{/if}
-{if isset ($ipban_add)}
-	<form method="post">
-		<fieldset>
-			<legend>{'Add IP ban'|@translate}</legend>
-			{'IP'|@translate} <input " type="text" name="inserip" data-ip placeholder="123.123.123.123" value="" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$">
-			{'Date'|@translate} <i class="icon-calendar"></i> <input class="dban" type="text" data-datepickerban name="inserdate" size="20" maxlenght="20" readonly>
-			<br>
-			<br>
-				<div style="text-align:center;">
-				<input class="submit" name="submitaddipban" type="submit" value="{'Submit'|@translate}" />
-				</div>
-		</fieldset>
-	</form>
-{/if}
-{if isset ($ipbangest)}
 <form method="post" >
 	<fieldset>
@@ -120,7 +56,4 @@
 			<td>{$ipban.DATE}</td>
 			<td>
-			<a href="{$ipban.U_EDIT}">
-				<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/edit_s.png" alt="{'edit'|@translate}" title="{'edit'|@translate}" />
-			</a>
 			<a href="{$ipban.U_DELETE}" onclick="return confirm( document.getElementById('btn_delete').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');">
 				<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" id="btn_delete" alt="{'delete'|@translate}" title="{'Delete'|@translate}" />
@@ -133,20 +66,4 @@
 </form>
 {/if}
-{if isset ($ipban_edit)}
-	<form method="post" >
-		<fieldset>
-			<legend>{'IP banned edit'|@translate}</legend>
-			<input type="hidden" name="invisibleID" value="{$ipban_edit.ID}">
-			{'IP'|@translate} <input " type="text" name="inserip" data-ip placeholder="123.123.123.123" value="{$ipban_edit.IP}" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$">
-			{'Date'|@translate} <i class="icon-calendar"></i> <input class="dban2" type="text" data-datepickerban name="inserdate" data-value="{$ipban_edit.DATE}" size="20" maxlenght="20">
-			<br>	
-			<br>
-				<div style="text-align:center;">
-				<input class="submit" name="submitaddipban2" data-ip type="submit" value="{'Submit'|@translate}" />
-				</div>
-		</fieldset>
-	</form>
-{/if}
-
 {if isset ($ipconfiggest)}
 <form method="post">