Index: /extensions/BanIP/admin.php
===================================================================
--- /extensions/BanIP/admin.php	(revision 31372)
+++ /extensions/BanIP/admin.php	(revision 31373)
@@ -1,3 +1,22 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Ban IP plugin for piwigo                                              |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2016 ddtddt                            http://temmii.com |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
 if (!defined('PHPWG_ROOT_PATH'))
Index: /extensions/BanIP/admin.tpl
===================================================================
--- /extensions/BanIP/admin.tpl	(revision 31372)
+++ /extensions/BanIP/admin.tpl	(revision 31373)
@@ -1,9 +1,9 @@
 <div class="titrePage">
-  <h2>{'AntiAspi'|@translate}</h2>
+  <h2>{'IP ban'|@translate}</h2>
 </div>
 {if isset ($ipbangest)}
 <form method="post" >
 	<fieldset>
-		<input class="submit" name="submitipban" type="submit" value="{'Add IP ban'|@translate}" />
+		<input class="submit" name="submitipban" type="submit" value="{'Add IP ban or IP address range'|@translate}" />
 	</fieldset>
 </form>
Index: /extensions/BanIP/initadmin.php
===================================================================
--- /extensions/BanIP/initadmin.php	(revision 31372)
+++ /extensions/BanIP/initadmin.php	(revision 31373)
@@ -1,3 +1,23 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Ban IP plugin for piwigo                                              |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2016 ddtddt                            http://temmii.com |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
 //add admin menu
 add_event_handler('get_admin_plugin_menu_links', 'banip_admin_menu');
@@ -6,5 +26,5 @@
     load_language('plugin.lang', BANIP_PATH);
     $menu[] = array(
-        'NAME' => l10n('BAN IP'),
+        'NAME' => l10n('Ban IP'),
         'URL' => BANIP_ADMIN,
     );
Index: /extensions/BanIP/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/BanIP/language/en_UK/plugin.lang.php	(revision 31372)
+++ /extensions/BanIP/language/en_UK/plugin.lang.php	(revision 31373)
@@ -1,3 +1,23 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | Ban IP plugin for piwigo                                              |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2016 ddtddt                            http://temmii.com |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
 //admin
 $lang['IP ban'] = 'IP ban';
@@ -9,3 +29,6 @@
 $lang['List IP banned and IP address range'] = 'List IP banned and IP address range';
 $lang['Edit IP banned or IP address range'] = 'Edit IP banned or IP address range';
-
+$lang['Add IP ban or IP address range'] = 'Add IP ban or IP address range';
+$lang['IP'] = 'IP';
+$lang['Ban IP'] = 'Ban IP';
+$lang['Range IP address banned'] = 'Range IP address banned';
Index: /extensions/BanIP/main.inc.php
===================================================================
--- /extensions/BanIP/main.inc.php	(revision 31372)
+++ /extensions/BanIP/main.inc.php	(revision 31373)
@@ -8,4 +8,24 @@
 Author URI: http://www.temmii.com
 */
+
+// +-----------------------------------------------------------------------+
+// | Ban IP plugin for piwigo                                              |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2016 ddtddt                            http://temmii.com |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -48,5 +68,5 @@
   while(list($ip) = pwg_db_fetch_row($result))
   {
-    die("IP " . $ip . "  ".l10n('Plage IP ban'));
+    die("IP " . $ip . "  ".l10n('Range IP address banned'));
   }
   
Index: /extensions/BanIP/maintain.class.php
===================================================================
--- /extensions/BanIP/maintain.class.php	(revision 31372)
+++ /extensions/BanIP/maintain.class.php	(revision 31373)
@@ -1,3 +1,24 @@
 <?php
+
+// +-----------------------------------------------------------------------+
+// | Ban IP plugin for piwigo                                              |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2016 ddtddt                            http://temmii.com |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 